language: cpp
dist: trusty
sudo: required
group: beta

services:
  - docker

compiler:
  - gcc
  - clang
script:
  - ./autogen.sh && ./configure --enable-coverage
  - make ci

install:
- gem install fpm
- gem install package_cloud
- sudo apt-get install -qq doxygen
- sudo apt-get install -qq rpm
- sudo apt-get install -qq valgrind
- sudo apt-get install -qq libcurl4-openssl-dev
before_script:
- curl --version
- curl https://raw.githubusercontent.com/google/styleguide/gh-pages/cpplint/cpplint.py -o cpplint
- chmod +x cpplint
- export PATH=$PATH:`pwd`
- ./utils/build_gtest.sh
- gem install coveralls-lcov
after_success:
- curl http://ftp.de.debian.org/debian/pool/main/l/lcov/lcov_1.11.orig.tar.gz | tar xz
- export PATH=$PATH:`pwd`/lcov-1.11/bin
- make coverage.info
- coveralls-lcov coverage.info
deploy:
  provider: script
  script: ./autogen.sh && ./configure --prefix=`pwd`/usr && make deploy-packages
  on:
    tags: true
    condition: $CXX = g++
env:
  global:
  - secure: IdA0aOUuazgCVT3X8bmOjC2mJpHIk+eakCUgiPGhsMsg6Nhe+OgYUF9uGLgz3py5qZq3ns+9WV1IVZVhwd1CFz+2wFKHM6WRnvlfFJ/aV+rb10I2tiX8BrepNcZzCvwuTxIgqb3m97DHRmf/s8DnnmF6v5pvUaKb9SjxFQ1d/XY=
